\name{cane}
\alias{cane}
\title{
Sugar-cane Disease Data
}
\description{
  The \code{cane} data frame has 180 rows and 5 columns. 
  The data frame represents a randomized
  block design with 45 varieties of sugar-cane and 4 blocks.}
\details{
  The aim of the experiment was to classify the varieties into
  resistant, intermediate and susceptible to a disease called "coal of
  sugar-cane" (carvao da cana-de-acucar).  This is a disease that is
  common in sugar-cane plantations in certain areas of Brazil.
  
  For each plot, fifty pieces of sugar-cane stem were put in a solution
  containing the disease agent and then some were planted in the plot.
  After a fixed period of time, the total number of shoots and the number
  of diseased shoots were recorded.
}
\usage{
cane
}
\format{
This data frame contains the following columns:

\describe{
\item{\code{n}}{
The total number of shoots in each plot.
}
\item{\code{r}}{
The number of diseased shoots.
}
\item{\code{x}}{
The number of pieces of the stems, out of 50, planted in each plot.
}
\item{\code{var}}{
A factor indicating the variety of sugar-cane in each plot.
}
\item{\code{block}}{
A factor for the blocks.
}}
}
\source{
  The data were kindly supplied by Dr. C.G.B. Demetrio of Escola
  Superior de Agricultura, Universidade de Sao Paolo, Brazil.
}
\references{
Davison, A.C. and Hinkley, D.V. (1997) 
\emph{Bootstrap Methods and Their Application}. Cambridge University Press.
}
\keyword{datasets}
% Converted by Sd2Rd version 0.3-1.
