\name{claridge}
\alias{claridge}
\title{
Genetic Links to Left-handedness
}
\description{
The \code{claridge} data frame has 37 rows and 2 columns.  


The data are from an experiment which was designed to look for a relationship 
between a certain genetic characteristic
and handedness.  The 37 subjects were women who had a son with mental
retardation due to inheriting a defective X-chromosome.  For each such mother
a genetic measurement of their DNA was made.  Larger values of this measurement
are known to be linked to the defective gene and it was hypothesized that 
larger values might also be linked to a progressive shift away from 
right-handednesss.  Each woman also filled in a 
questionnaire regarding which hand they used for various tasks.  From these
questionnaires a measure of hand preference was found for each mother.  The 
scale of
this measure goes from 1, indicating someone who always favours their right 
hand, to 8, indicating someone who always favours their left hand. Between 
these two extremes are people who favour one hand for some tasks and the other 
for other tasks.
}
\usage{
claridge
}
\format{
This data frame contains the following columns:


\describe{
\item{\code{dnan}}{
The genetic measurement on each woman's DNA.
}
\item{\code{hand}}{
The measure of left-handedness on an integer scale from 1 to 8.
}}}
\source{
The data were kindly made available by Dr. Gordon S. Claridge from the
Department of Experimental Psychology, University of Oxford.
}
\references{
Davison, A.C. and Hinkley, D.V. (1997) 
\emph{Bootstrap Methods and Their Application}. Cambridge University Press.
}
\keyword{datasets}
% Converted by Sd2Rd version 1.15.
