\name{manaus}
\alias{manaus}
\title{
Average Heights of the Rio Negro river at Manaus
}
\description{
  The \code{manaus} time series is of class \code{"ts"} and has
  1080 observations on one variable.

  The data values are monthly averages of the daily stages (heights) of
  the Rio Negro at Manaus.  Manaus is 18km upstream from the confluence of
  the Rio Negro with the Amazon but because of the tiny slope of the water
  surface and the lower courses of its flatland affluents, they may be
  regarded as a good approximation of the water level in the Amazon at the
  confluence.  The data here cover 90 years from January 1903 until
  December 1992.

  The Manaus gauge is tied in with an arbitrary bench mark of 100m set in
  the steps of the Municipal Prefecture; gauge readings are usually
  referred to sea level, on the basis of a mark on the steps leading to
  the Parish Church (Matriz), which is assumed to lie at an altitude of
  35.874 m according to observations made many years ago under the
  direction of Samuel Pereira, an engineer in charge of the Manaus
  Sanitation Committee Whereas such an altitude cannot, by any means, be
  considered to be a precise datum point, observations have been
  provisionally referred to it.  The measurements are in metres.
}
\source{
The data were kindly made available by Professors H. O'Reilly Sternberg and 
D. R. Brillinger of the University of California at Berkeley.  
}
\references{
Davison, A.C. and Hinkley, D.V. (1997) \emph{Bootstrap Methods and Their Application}. Cambridge University Press.

Sternberg, H. O'R. (1987) Aggravation of floods in the Amazon river as a
consequence of deforestation? \emph{Geografiska Annaler}, \bold{69A}, 201-219.

Sternberg, H. O'R. (1995) Waters and wetlands of Brazilian Amazonia: An
uncertain future. In \emph{The Fragile Tropics of Latin America:
Sustainable Management of Changing Environments}, Nishizawa, T. and
Uitto, J.I. (editors), United Nations University Press, 113-179.
}
\keyword{datasets}
% Converted by Sd2Rd version 1.15.
